Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "09924ace-d4fe-40c0-bcaa-5c0e8c89fbf2",
"purchase_order_id": "fe6c55c3-9d86-40ce-b865-d4a119b7ebc6",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "50be0b66-d47d-4877-a78d-2d424fa025f3",
"id2": 2,
"jobs_id": "6719b472-b9eb-4cd2-928a-9daca6698294",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "0e87bb52-f002-4e2e-800f-948826865b9a",
"supplier_company_code": "sample string 6",
"user_id": "bdfa2e6f-3d29-4ae3-b229-f3032f3c98b8",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-11-09T17:20:00.3758237+00:00",
"date_update": "2026-11-09T17:20:00.3758237+00:00",
"date_delivery": "2026-11-09T17:20:00.3758237+00:00",
"confirmed_date_delivery": "2026-11-09T17:20:00.3758237+00:00",
"delivery_db_address_id": "f170ad8e-e834-4859-91f4-5c856d7c8050",
"approved_by_user_id": "bcccf6ae-353a-4c98-a1dc-1f091c6206f1",
"approved_by_user_code": "sample string 18",
"technical_user_id": "9f8b47f8-9ef6-44b9-91ab-9473537027f9",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "312c5d75-2eb3-4f10-ae75-896f29f1b68a",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "81903918-fe9d-4374-bf06-ca5662a5b919",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-11-09T17:20:00.3758237+00:00"
},
"article_id": "766c19bc-d41d-40f9-bc0f-915fdae76a66",
"article_code": "sample string 5",
"article": {
"id": "007f6a9b-0a53-41b1-a4ff-372fd8f6dec7",
"article_category_id": "7da2f8fd-09ec-421f-8278-0ec793d0d4f5",
"article_category": {
"id": "1010abbe-1f31-40c7-a8d2-731e225d8923",
"parent_id": "e4df73cc-8eae-45db-aca5-7cc273490811",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-09T17:20:00.3938983+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "02b59074-3f5f-4c91-925f-f18ba10d5fc8",
"article_group_1_code": "sample string 5",
"article_group_2_id": "113f5e68-7414-4bd2-9617-a1d7e38209b5",
"article_group_2_code": "sample string 7",
"article_group_3_id": "29651852-de62-4e47-9783-689cc5fa5617",
"article_group_3_code": "sample string 9",
"article_group_4_id": "32734756-9ce1-4806-b615-df24e06c6096",
"article_group_4_code": "sample string 11",
"article_group_5_id": "91eb2d22-14be-426a-bb45-71d86b0789ee",
"article_group_5_code": "sample string 13",
"article_group_6_id": "9783326e-f98c-4681-9fa9-c5c6e1536151",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-09T17:20:00.3938983+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-09T17:20:00.3938983+00:00",
"date_update": "2026-11-09T17:20:00.3938983+00:00",
"modified_dateutc": "2026-11-09T17:20:00.3938983+00:00",
"article_color_id": "8c671e98-795c-4b5d-9202-d736ad098de5",
"article_color_code": "sample string 38",
"article_color": {
"id": "9bb23d33-2b38-4dbd-b2fb-57be0f4c0952",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-09T17:20:00.3938983+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "38cd97e3-20c8-4550-b70c-8cc048ea326a",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "afeaee24-7307-432a-8ecc-61952775592a",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-11-09T17:20:00.3938983+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.